#****************************************************************************
#**  File     : /hook/units/UAB2203/UAB2203_script.lua
#**
#**  Author(s): EbolaSoup, Resin Smoker, Optimus Prime, Vissroid
#**
#**  Summary  : Aeon Heavy POP-Up Artillery Tower Script
#**
#**  Copyright © 2010 4DC_V0.8  All rights reserved.
#****************************************************************************

local AStructureUnit = import('/lua/aeonunits.lua').AStructureUnit
AStructureUnit = import('/mods/4DC_V0.8/lua/CustomAbilities/4D_SDR/4D_SDR.lua').SDR( AStructureUnit )
local AIFArtilleryMiasmaShellWeapon = import('/lua/aeonweapons.lua').AIFArtilleryMiasmaShellWeapon

UAB2303 = Class(AStructureUnit) {
    Weapons = {
        MainGun = Class(AIFArtilleryMiasmaShellWeapon) {},
    },
}
TypeClass = UAB2303